Date: Sun, 14 Jun 1998 20:16:41 -0500
From: Chris Lawrence <quango@ix.netcom.com>
To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Subject: L68K: chown/lchown reversal patch (2.1.101+)
Mail-Followup-To: Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.1.105
Sender: owner-linux-m68k@phil.uni-sb.de

This patch should "fix" the lchown/chown situation to be identical to the
Intel and PPC handling of the situation (i.e. the "right" way).
Incidentally, with this patch dpkg should start working correctly again.

--- clean-linux-2.1.105/include/asm-m68k/unistd.h	Wed Jun 10 01:52:04 1998
+++ linux-2.1.105/include/asm-m68k/unistd.h	Sun Jun 14 19:57:13 1998
@@ -21,7 +21,7 @@
 #define __NR_time		 13
 #define __NR_mknod		 14
 #define __NR_chmod		 15
-#define __NR_chown		 16
+#define __NR_lchown		 16
 #define __NR_break		 17
 #define __NR_oldstat		 18
 #define __NR_lseek		 19
@@ -186,7 +186,7 @@
 #define __NR_rt_sigsuspend	179
 #define __NR_pread		180
 #define __NR_pwrite		181
-#define __NR_lchown		182
+#define __NR_chown		182
 #define __NR_getcwd		183
 #define __NR_capget		184
 #define __NR_capset		185
--- clean-linux-2.1.105/arch/m68k/kernel/entry.S	Wed Jun 10 01:47:45 1998
+++ linux-2.1.105/arch/m68k/kernel/entry.S	Sun Jun 14 20:06:11 1998
@@ -412,7 +412,7 @@
 	.long SYMBOL_NAME(sys_time)
 	.long SYMBOL_NAME(sys_mknod)
 	.long SYMBOL_NAME(sys_chmod)		/* 15 */
-	.long SYMBOL_NAME(sys_chown)
+	.long SYMBOL_NAME(sys_lchown)
 	.long SYMBOL_NAME(sys_ni_syscall)				/* old break syscall holder */
 	.long SYMBOL_NAME(sys_stat)
 	.long SYMBOL_NAME(sys_lseek)
@@ -578,7 +578,7 @@
 	.long SYMBOL_NAME(sys_rt_sigsuspend)
 	.long SYMBOL_NAME(sys_pread)		/* 180 */
 	.long SYMBOL_NAME(sys_pwrite)
-	.long SYMBOL_NAME(sys_lchown);
+	.long SYMBOL_NAME(sys_chown)
 	.long SYMBOL_NAME(sys_getcwd)
 	.long SYMBOL_NAME(sys_capget)
 	.long SYMBOL_NAME(sys_capset)           /* 185 */


Chris (really running 2.1.105, time to update my .signify)
-- 
=============================================================================
|       Chris Lawrence       |                My home page:                 |
|   <quango@ix.netcom.com>   |      http://www.clark.net/pub/lawrencc/      |
|                            |                                              |
|     Amiga A4000/040 and    |            Watch Babylon 5 on TNT            |
|    Linux/m68k 2.0.33pl1    |   <*> http://tnt.turner.com/babylon5/ <*>    |
=============================================================================
